Skip to content
use-forever Docs
Esc
navigateopen⌘Jpreview

List knowledge sources

Returns all knowledge sources for the authenticated user, ordered by creation date descending.

GET/v1/knowledge/sources
Authorization
AuthorizationBearer token (JWT) · headerrequired
Responses
200Knowledge sources retrieved successfully.
Array of KnowledgeSource
idstringrequired
min length 1
namestringrequired
min length 1 · max length 160
typeKnowledgeSourceTyperequired
Allowed:FILEWEBSITE
statusKnowledgeSourceStatusrequired
Allowed:READYSYNCINGFAILED
sourceUrlstring<uri> | nullrequired
fileKeystring | nullrequired
fileNamestring | nullrequired
sizeBytesinteger | nullrequired
min 1
lastSyncedAtstring<date-time> | nullrequired
lastSyncErrorstring | nullrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Request
curl -X GET "https://api.hackathon.space/v1/knowledge/sources" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
[
  {
    "id": "string",
    "name": "string",
    "type": "FILE",
    "status": "READY",
    "sourceUrl": "<uri>",
    "fileKey": "string",
    "fileName": "string",
    "sizeBytes": 0,
    "lastSyncedAt": "2024-01-01T00:00:00Z",
    "lastSyncError": "string",
    "createdAt": "2024-01-01T00:00:00Z",
    "updatedAt": "2024-01-01T00:00:00Z"
  }
]